[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'EditBtn' (#lcl)

# TDateEdit.EditDblClick

Performs actions needed when the Edit in the control is double clicked.

## Declaration

Source position: editbtn.pas line 625

`protected procedure TDateEdit.EditDblClick; override;`

## Description

EditDblClick is an overridden procedure in TDateEdit. It calls the inherited method, and checks to ensure that the control is not marked as ReadOnly before calling the ButtonClick method.

## See also

TDateEdit.ReadOnly |  | Indicates whether the value for the control can be changed.
TDateEdit.ButtonClick |  | Displays a pop-up calendar dialog when the Button for the grouped edit control is clicked.
TCustomAbstractGroupedEdit.EditDblClick |  | Signals the OnDblClick event handler (when assigned).